import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDnsARecordSetConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/dns/d/a_record_set#host DataDnsARecordSet#host}
    */
    readonly host: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/dns/d/a_record_set#id DataDnsARecordSet#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/dns/d/a_record_set dns_a_record_set}
*/
export declare class DataDnsARecordSet extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "dns_a_record_set";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/dns/d/a_record_set dns_a_record_set} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDnsARecordSetConfig
    */
    constructor(scope: Construct, id: string, config: DataDnsARecordSetConfig);
    get addrs(): string[];
    private _host?;
    get host(): string;
    set host(value: string);
    get hostInput(): string | undefined;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
