import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DnsProviderConfig {
    /**
    * Alias name
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/dns#alias DnsProvider#alias}
    */
    readonly alias?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/dns dns}
*/
export declare class DnsProvider extends cdktf.TerraformProvider {
    static readonly tfResourceType = "dns";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/dns dns} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DnsProviderConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DnsProviderConfig);
    private _alias?;
    get alias(): string | undefined;
    set alias(value: string | undefined);
    resetAlias(): void;
    get aliasInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
